package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * slm-bi
 *
 * @author : lin
 * @date : 2021-04-19 19:31
 **/
@Data
@ApiModel(value = "业务数据查询DTO")
public class BusinessDTO {
    @ApiModelProperty(value = "查询表名", required = true)
    private String table;
    @ApiModelProperty(value = "纵轴变量", required = true)
    private String y;
    @ApiModelProperty(value = "横轴纬度", required = true)
    private String x;
    @ApiModelProperty(value = "查询配置的时间区间（如果为空不要调用后台）", required = true)
    List<BusinessConditionDTO> where;
    @ApiModelProperty(value = "统计类型（平均值 avg ,合计值 sum, 最大值 max ,最小值 min,中位数 middle ,原值 original）", required = true)
    private String statisticsType;
}
