package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * slm-bi
 * 实时变量DTO
 * @author : lin
 * @date : 2021-03-30 15:05
 **/
@ApiModel("变量DTO")
@Data
public class VariableDataDTO {
    @ApiModelProperty(value = "所属设备", required = true)
    private String deviceId;
    @ApiModelProperty(value = "统计类型,代表(合计值(sum)，平均值(avg)，最大值(max)，最小值(min) 中位数(middle))", required = true)
    private String statisticsType;
    @ApiModelProperty(value = "变量id", required = true)
    private String variableId;
    @ApiModelProperty(value = "变量Code", required = true)
    private String variableCode;
    @ApiModelProperty(value = "开始时间(时间戳)",required = true)
    private String startTime;
    @ApiModelProperty(value = "结束时间(时间戳)", required = true)
    private String endTime;
}
