package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * slm-bi
 *
 * @author : lin
 * @date : 2021-04-19 19:36
 **/
@ApiModel(value = "业务查询条件DTO")
@Data
public class BusinessConditionDTO {
    @ApiModelProperty(value = "区间配置字段", required = true)
    private String key;
    @ApiModelProperty(value = "字段对应的值，时间给对应时间戳", required = true)
    private String value;
    @ApiModelProperty(value = "查询类型（大于 gt, 小于 lt ，大于等于 gte ,小于等于 lte）", required = true)
    private String queryType;
}
