package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * slm-bi
 *
 * @author : lin
 * @date : 2021-04-19 19:31
 **/
@Data
@ApiModel(value = "下发DTO")
public class VariableSendDTO {
    @ApiModelProperty(value = "访问权限", required = true)
    private String accessType;
    @ApiModelProperty(value = "权限控制", required = true)
    private List<CustomPermissionDTO> permissions;
    @ApiModelProperty(value = "变量id", required = true)
    private String variableId;
    @ApiModelProperty(value = "设备id", required = true)
    private String equipmentId;
    @ApiModelProperty(value = "权限为私有的时候需要把创建人传入", required = true)
    private String userId;
}
